SplDoublyLinkedList::rewind
SplDoublyLinkedList::shift
SplDoublyLinkedList
PHP Manual

# SplDoublyLinkedList::setIteratorMode

(PHP 5 >= 5.3.0)

SplDoublyLinkedList::setIteratorMode — Sets the mode of iteration

### Description

void SplDoublyLinkedList::setIteratorMode ( int `$mode` )

### Parameters

`mode`

  There are two orthogonal sets of modes that can be set:

  - The direction of the iteration (either one or the other):
    - `SplDoublyLinkedList::IT_MODE_LIFO` (Stack style)
    - `SplDoublyLinkedList::IT_MODE_FIFO` (Queue style)
  - The behavior of the iterator (either one or the other):
    - `SplDoublyLinkedList::IT_MODE_DELETE` (Elements are deleted by the iterator)
    - `SplDoublyLinkedList::IT_MODE_KEEP` (Elements are traversed by the iterator)

  The default mode is: `SplDoublyLinkedList::IT_MODE_FIFO` | `SplDoublyLinkedList::IT_MODE_KEEP`

### Return Values

No value is returned.

SplDoublyLinkedList::rewind
SplDoublyLinkedList::shift
SplDoublyLinkedList
PHP Manual